wyattwong
Posts: 18
Joined: Fri Mar 15, 2013 3:18 pm
Location: Hong Kong

Cannot install gcc-multilib

Sat Feb 21, 2015 4:10 pm

I typed the following command to install gcc-multilib:

sudo apt-get install gcc-multilib

but I got the following error message:
=========================================
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package gcc-multilib is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'gcc-multilib' has no installation candidate
=========================================

How do I fix it ?

plugwash
Forum Moderator
Forum Moderator
Posts: 3235
Joined: Wed Dec 28, 2011 11:45 pm

Re: Cannot install gcc-multilib

Sat Feb 21, 2015 4:20 pm

gcc-multilib does not exist in either raspbian or any arm port of Debian though it looks like it does exist in arm ports of ubuntu.

What is the bigger picture here? why do you think you need gcc-multilib?

wyattwong
Posts: 18
Joined: Fri Mar 15, 2013 3:18 pm
Location: Hong Kong

Re: Cannot install gcc-multilib

Sun Feb 22, 2015 2:56 pm

plugwash wrote:gcc-multilib does not exist in either raspbian or any arm port of Debian though it looks like it does exist in arm ports of ubuntu.

What is the bigger picture here? why do you think you need gcc-multilib?
Well, never mind then.

taf2
Posts: 1
Joined: Fri May 08, 2015 8:19 pm

Re: Cannot install gcc-multilib

Fri May 08, 2015 8:20 pm

We need gcc-multilib and g++-multilib as per the electron.atom.io dependency tree...

see: https://github.com/atom/electron/blob/m ... s-linux.md

nixomose
Posts: 3
Joined: Sun Apr 03, 2016 7:21 pm

Re: Cannot install gcc-multilib

Wed Jul 06, 2016 12:41 am

Surely there must be a way to build the package from source, no? If there were some intrepid youngster with the interest to do it, where would they start?

m1f2c3
Posts: 1
Joined: Mon Sep 25, 2017 10:25 am

Re: Cannot install gcc-multilib

Mon Sep 25, 2017 10:31 am

plugwash wrote:
Sat Feb 21, 2015 4:20 pm
gcc-multilib does not exist in either raspbian or any arm port of Debian though it looks like it does exist in arm ports of ubuntu.

What is the bigger picture here? why do you think you need gcc-multilib?
Hi,I have the same question(install gcc-multilib on raspberry).what your meaning is that raspberry won't install gcc-multilib from any sources about raspbian?
My English is poor,sorry.

seanspotatobusiness
Posts: 20
Joined: Tue May 22, 2012 11:19 pm

Re: Cannot install gcc-multilib

Tue Oct 10, 2017 4:49 pm

I tried to follow the instructions here: https://www.electron.build/multi-platform-build
To build app in 32 bit from a machine with 64 bit:

sudo apt-get install --no-install-recommends -y gcc-multilib g++-multilib

Code: Select all

pi@raspberrypi:~/Teleprompter 32-bit/Teleprompter-Electron $ sudo apt-get install --no-install-recommends -y gcc-multilib g++-multilib
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package gcc-multilib is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'gcc-multilib' has no installation candidate
E: Unable to locate package g++-multilib
E: Couldn't find any package by regex 'g++-multilib'
pi@raspberrypi:~/Teleprompter 32-bit/Teleprompter-Electron $ 
I'm guessing this won't ever be fixed
Raspberry Pi 3
PRETTY_NAME="Raspbian GNU/Linux 9 (stretch)"
NAME="Raspbian GNU/Linux"
VERSION_ID="9"
VERSION="9 (stretch)"

Return to “Troubleshooting”

Who is online

Users browsing this forum: DaveG1015, milhouse and 35 guests